package fr.asip.cps3.exemple.controleurs;

import fr.asip.cps3.exemple.modele.ecouteurs.ApplicationEcouteur;

/**
 *  Classe abstraite représentant une vue de l'application
 *
 */
public abstract class ApplicationVue implements ApplicationEcouteur{
	
	/**
	 * Contrôleur de la fenêtre principale
	 */
	private ApplicationControleur controleur = null;
	
	/**
	 * Constructeur
	 * @param controleur de la fenêtre principale
	 */
	public ApplicationVue(ApplicationControleur controleur) {
		super();
		this.controleur = controleur;
	}
	
	/**
	 * Accesseur
	 * @return Le contrôleur de la fenêtre principale
	 */
	public final ApplicationControleur getControlleur(){
		return controleur;
	}
	
	/**
	 * Affichage de la fenêtre
	 */
	public abstract void affiche();
	
	/**
	 * Fermeture de la fenêtre
	 */
	public abstract void ferme();
	
}
